require 'mxx_ru/cpp'

module	Smart_ref_3
	class	Base < Mxx_ru::Cpp::Lib_or_dll_target
		TAG = "smart_ref_3/base.rb"
		def	initialize( a_alias = TAG )
			super( a_alias, TAG )

			init_dll_block(
				Proc.new {
					rtl_mode( Mxx_ru::Cpp::RTL_SHARED )
					implib_path( "lib" )
					define( "SMART_REF_3_DLL", OPT_UPSPREAD )
				})
			init_lib_block(
				Proc.new {
					target_root( "lib" )
				})

			target( "smart_ref.3.1.0" )

			define( "SMART_REF_3_PRJ" )

			cpp_source( "smart_ref.cpp" )
		end
	end
end
